Amazon S3
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Amazon S3 action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to Amazon S3",
"type": "AMAZON_S3",
"input_type": "SCM_REPOSITORY",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "/assets/",
"remote_path": "Home/www/",
"bucket_name": "buddy-tests",
"acl": "PUBLIC_READ_WRITE",
"skip_content_type_setting": false,
"reduced_redundancy": true,
"expires_date": "2017-01-07T00:00:00.000Z",
"cache_control": "max-age=3600",
"deploy_tags": [
{
"key": "revision",
"value": "$BUDDY_RUN_COMMIT"
},
{
"key": "buddy_last_modification_type",
"value": "$BUDDY_EXECUTION_FILE_MODIFICATION_TYPE"
}
],
"deletion_disabled": true,
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
],
"integration": {
"identifier": "aws-s3"
}
}'STATUS200 OK